import { minify } from 'terser';
import * as pkg from '../package.json';

const config = {
	input: 'dist/index.mjs',
	output: [{
		format: 'cjs',
		file: `${pkg.main}`,
		preferConst: true,
		interop: false,
		freeze: false,
		strict: false
	}],
	external: [
		...Object.keys(pkg.dependencies),
		...require('module').builtinModules,
	],
	plugins: [
		{
			name: 'terser',
			renderChunk(code) {
				return minify(code, {
					module: true,
					toplevel: false
				})
			}
		}
	]
}

export default config;
